com.threerings.micasa.simulator.server

## Class SimulatorProvider

- java.lang.Object
- - com.threerings.micasa.simulator.server.SimulatorProvider

All Implemented Interfaces:
  com.threerings.presents.server.InvocationProvider

    public class SimulatorProvider
    extends Object
    implements com.threerings.presents.server.InvocationProvider

The simulator provider handles game creation requests on the server side, passing them off to the `SimulatorManager`.

### Constructor Summary

Constructors
Constructor and Description
`SimulatorProvider(SimulatorManager simmgr)` Constructs a simulator provider.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `createGame(com.threerings.presents.data.ClientObject caller, GameConfig config, String simClass, int playerCount)` Processes a request from the client to create a new game.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SimulatorProvider

    public SimulatorProvider(SimulatorManager simmgr)

Constructs a simulator provider.

### Method Detail

#### createGame

    public void createGame(com.threerings.presents.data.ClientObject caller,
                           GameConfig config,
                           String simClass,
                           int playerCount)

Processes a request from the client to create a new game.